Guard Glen:
If you must blame someone for the situation, you should look beyond the monsters. I won't name names, but the wandering merchants are certainly part of the problem. They have no loyalty whatsoever for this village! They only think about adena!
The Dwarven and Orcish merchants are the worst! Rivalries between the two races are threatening to boil over at any moment! This is bound to end horribly!
Return